<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.ysk.cashier.mybatis.mapper.TbFreeDineConfigMapper">

    <resultMap id="BaseResultMap" type="cn.ysk.cashier.mybatis.entity.TbFreeDineConfig">
            <id property="id" column="id" jdbcType="INTEGER"/>
            <result property="enable" column="enable" jdbcType="TINYINT"/>
            <result property="recharge_times" column="recharge_times" jdbcType="INTEGER"/>
            <result property="recharge_threshold" column="recharge_threshold" jdbcType="DECIMAL"/>
            <result property="with_coupon" column="with_coupon" jdbcType="TINYINT"/>
            <result property="with_points" column="with_points" jdbcType="TINYINT"/>
            <result property="recharge_desc" column="recharge_desc" jdbcType="VARCHAR"/>
            <result property="use_type" column="use_type" jdbcType="VARCHAR"/>
            <result property="shop_id" column="shop_id" jdbcType="INTEGER"/>
            <result property="create_time" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="update_time" column="update_time" jdbcType="TIMESTAMP"/>
            <result property="child_shop_id_list" column="child_shop_id_list" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,enable,recharge_times,
        recharge_threshold,with_coupon,with_points,
        recharge_desc,use_type,shop_id,
        create_time,update_time,child_shop_id_list
    </sql>
</mapper>
